Bug 1568462 - disk monitoring setting the wrong default error log level
Summary: disk monitoring setting the wrong default error log level
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: mreynolds
QA Contact: RHDS QE
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 14:44 UTC by Amita Sharma
Modified: 2018-10-30 10:14 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.8.4-1.el7
Doc Type: Bug Fix
Doc Text:
The Disk Monitoring feature shuts down Directory Server on low disk space Due to changes in the way Directory Server sets the error log level, the Disk Monitoring feature in Directory Server failed to detect that the error log level was set to the default level. As a consequence, Directory Server did not correctly shut down when the file system was full. The way the Disk Monitoring feature checks the error level has been updated. As a result, Disk Monitoring now correctly shuts down the server if the disk space is low.
Clone Of:
Environment:
Last Closed: 2018-10-30 10:13:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3127 None None None 2018-10-30 10:14:32 UTC

Comment 2 mreynolds 2018-04-17 14:48:18 UTC
Problem is that we are using SLAPD_DEFAULT_ERRORLOG_LEVEL instead of 16384

Comment 3 mreynolds 2018-04-27 15:10:01 UTC
Upstream ticket:
https://pagure.io/389-ds-base/issue/49654

Comment 4 mreynolds 2018-06-21 13:19:40 UTC
Really this has been fixed in:

https://pagure.io/389-ds-base/issue/49734

Comment 11 errata-xmlrpc 2018-10-30 10:13:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3127


Note You need to log in before you can comment on or make changes to this bug.